import { axios } from '@/utils/request'
// vip列表
export function List(parameter) {
  return axios({
    url: '/business/vip/list',
    method: 'post',
    data: parameter
  })
}
// vip所有列表
export function AllList(parameter) {
  return axios({
    url: '/business/vip/alllist',
    method: 'post',
    data: parameter
  })
}
// vip提交
export function Submit(parameter) {
  return axios({
    url: '/business/vip/submit',
    method: 'post',
    data: parameter
  })
}
// vip权限列表
export function AuthList(parameter) {
  return axios({
    url: '/business/vip/auth/list',
    method: 'post',
    data: parameter
  })
}
// vip权限提交
export function AuthSubmit(parameter) {
  return axios({
    url: '/business/vip/auth/submit',
    method: 'post',
    data: parameter
  })
}
// vip权限状态变更
export function AuthStatus(parameter) {
  return axios({
    url: '/business/vip/auth/status',
    method: 'post',
    data: parameter
  })
}
// vip关联权限列表
export function VipAuthList(parameter) {
  return axios({
    url: '/business/vip/authlist',
    method: 'post',
    data: parameter
  })
}
